<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="utf-8"%>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script src="${staticRoot}/extra/jqueryform.js"></script>
<script>
  (function($,exports){
    $(function(){
      var page={
        $importData:$("#importData"),//正文容器
        $importDataUp:$("#importData .btn.up"),//要上传的文件
        $importdel:$("#importData .btn.del"),
        $upDo:$("#importData .btn.do"),//上传文件
        $piPeiBtn:$(".pipei"),//开始匹配
        $dataSet:$("#dataSet"),
        $Dictionaries:$("#Dictionaries"),
        pageInit:function(){
          var self=this;
          this.isUp();
          this.windowWH();
        },
        isUp:function(){//进来时候判断数据集跟字典是否已经都上传
          var self=this;
          var version = $("#version").val();
          $.ajax({
            type:"POST",
            dataType: "json",
            url:"${contextRoot}/standardCenter/isUpdateDatasetAndDict",
            data:{version:version},
            success:function(res){
              var datasetUpdate=eval("("+res.data+")").datasetUpdate;//数据集
              var dictUpdate=eval("("+res.data+")").dictUpdate;//字典
              var say1=self.$dataSet.closest("div").find(".say");
              var say2=self.$Dictionaries.closest("div").find(".say");
              if(datasetUpdate=="false"){
                say1.attr("class","say false").html("未上传");
              }else{
                say1.attr("class","say true").html("已上传");
              }
              if(dictUpdate=="false"){
                say2.attr("class","say false").html("未上传");
              }else{
                say2.attr("class","say true").html("已上传");
              }
            }
          })

        },
        windowWH:function(){//窗体框架JS初始化
          var self=this;
          var winHeight=window.innerHeight;//窗体高度
          self.$importData.height(winHeight-180);//容器高度
          $('input[name="jobContentType"]').ligerRadio();//单选框初始化
          $('input[name="jobContentType"]').bind("click",function(){//单选触发事件
            var radioVal=$('input[name="jobContentType"]:checked').val();
            if(radioVal==1){
              self.$inherit.slideDown();
            }else{
              self.$inherit.slideUp();
            }
          })
          self.$importDataUp.bind("click",function(){//要上传的文件
            var inputVal=$(this).closest("div").find("input[type=text]");
            var thisA=$(this);
            var obj=$(this).closest("div").find("input[type=file]")
            obj.change(function(){
              inputVal.val(obj.val());
            })
            obj.click()
          })
          self.$upDo.bind("click",function(){//文件上传
            var Obj=$(this);
            var upObj=Obj.closest("div").find(".btn.up");//浏览的按钮
            var formObj=$('#form'+$(this).data("id"));//要提交的表单
            var formsay=formObj.find(".say");//提示文字
            if(Obj.closest("div").find("input[type=text]").val().length!=0){//判断是否选择了文件
              Obj.css("background","#fff").html("上传中<i></i>");
              formObj.ajaxForm({
                dataType: 'json',
                success:  function processJson(data){
                  if(data.successFlg){
                    formsay.attr("class","say true").html("上传成功");
                    formObj.find("input[type=text]").attr("data-id",eval('('+data.data+')').id)//设置已上传的文件的ID
                    formObj.find(".btn.del").css("display","inline-block")
                    Obj.hide();
                    upObj.hide();
                  }else{
                    $.ligerDialog.error("上传格式有问题");
                    upObj.show();
                    Obj.css("background","#ebebeb").html("上传");

                  }
                  //console.log(eval('('+data.data+')'));
                },
                error: function processJson(data){
                  formsay.attr("class","say false").html("上传失败");
                }
              });
              formObj.submit();
            }else{
              $.ligerDialog.error("请选择要上传的文件");
            }
          })
          self.$importdel.bind("click",function(){//删除
            debugger
            var obj=$(this);
            var textObj=$(this).closest("div").find("input[type='text']");
            var upObj=obj.closest("div").find(".btn.up");//浏览的按钮
            var version=$("#version").val();
            var type=$(this).closest("div").find("input[type='hidden']").val();//要删除的文件
            $.ajax({
              type: "POST",
              url: "${contextRoot}/standardCenter/deleteByType",
              data: {type:type,version:version},
              dataType: "json",
              success: function(data){
                history.go(0)
              }
            });
          })
        }
      }
      page.pageInit();
      exports.jcLsit=function(id,text){
        $("#inheritText").attr("data-id",id).val(text)
      }
    })
  })(jQuery,window)
</script>